package cn.com.qmth.examcloud.core.oe.task.service.impl;

import cn.com.qmth.examcloud.core.oe.task.service.ExamBossService;
import cn.com.qmth.examcloud.support.examing.ExamBoss;
import cn.com.qmth.examcloud.support.redis.RedisKeyHelper;
import cn.com.qmth.examcloud.web.redis.RedisClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description 考试基础信息会话
 * @Author lideyin
 * @Date 2019/12/20 15:40
 * @Version 1.0
 */
@Service("examBossService")
public class ExamBossServiceImpl implements ExamBossService {

	@Autowired
	private RedisClient redisClient;

	@Override
	public void saveExamBoss(Long examId, ExamBoss eb) {
		String key = RedisKeyHelper.getBuilder().examBossKey(examId);
		redisClient.set(key, eb, -1);
	}

	@Override
	public ExamBoss getExamBoss(Long examId) {
		String key = RedisKeyHelper.getBuilder().examBossKey(examId);
		return redisClient.get(key, ExamBoss.class);
	}

	@Override
	public void deleteExamBoss(Long examId) {
		String key = RedisKeyHelper.getBuilder().examBossKey(examId);
		redisClient.delete(key);
	}
}
